__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Bootstrap EventQ App database"

    def bootstrap(self):

        data_path = self.cfg['MONGODB_DATA_DIR'] + "/%s.*"
        eventq = data_path % self.cfg['MONGODB_APP_DATABASE_NAME']

        if os.path.isdir(eventq):
            app.util.runSystem("rm %s" % eventq, self.log, 1)

        app.util.runSystem("chown -R %s:%s %s" % (self.cfg['MONGODB_USER'], self.cfg['MONGODB_GROUP'], self.cfg['MONGODB_DATA_DIR']), self.log)