__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseInitializationScript

import app.util
import os
import re


class InitializationScript(BaseInitializationScript):

    scriptDescription = "Setup programmatic EventQ application"

    def initialize(self):
        self.startupEventQProcess()

    def startupEventQProcess(self):
        self.log.info("Setting up EventQ")
        command = "su %s -c 'source ~/.bashrc && cd /opt/collabnet/eventq && RAILS_RELATIVE_URL_ROOT=/orc RAILS_ENV=production bundle exec rake eventq:start_up_procedures'" % (self.cfg['EVENTQ_APP_USER'])
        app.util.executeCommand(command)
