__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseInitializationScript

import os

class InitializationScript(BaseInitializationScript):

    scriptDescription = "Initialize EventQ runners"

    def initialize(self):

        # NOTE: see service.py for corresponding shutdown
        os.environ["SYSTEMCTL_SKIP_REDIRECT"] = "1"
        self.__startupRunnersDaemons()

    def __startupRunnersDaemons(self):
        services = ['eventq-queue-build', 'eventq-queue-commit', 'eventq-queue-review', 'eventq-ctf-jobs',
                    'eventq-queue-work-item', 'eventq-queue-custom', 'eventq-queue-ctf-user-permission',
                    'eventq-rest-message-enqueuer']

        for service in services:
            initScript = "/etc/init.d/" + service
            os.system("%s %s > /dev/null" % (initScript, 'start'))
