__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Bootstrap EventQ Redis database"

    def bootstrap(self):

        data_file_path = os.path.join(self.cfg['REDIS_DATA_DIR'], "data.rdb")

        if os.path.isfile(data_file_path):
            app.util.runSystem("rm -f %s" % data_file_path, self.log, 1)

        app.util.runSystem("chown -R %s:%s %s" % (self.cfg['REDIS_USER'], self.cfg['REDIS_GROUP'], self.cfg['REDIS_DATA_DIR']), self.log)