__copyright__ = "Copyright (c) 2017 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import app.util
 
class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        tokens = []

        eventqAppDir = app.util.executeCommand("dirname `rpm -ql CN-eventq | grep -v vendor| grep -E '\.bundle$'`")
        tokens.append("EVENTQ_APP_DIR=%s\n" % eventqAppDir)

        passengerHome = app.util.executeCommand("cat %s/.passenger_loc" % self.cfg['RUBY_ROOT'])
        tokens.append("PASSENGER_ROOT=%s\n" % passengerHome)

        app_protocol = 'http'
        if self.cfg.get("SSL", "off").lower() == "on":
            app_protocol = 'https'
        tokens.append("EVENTQ_PROTOCOL=%s\n" % app_protocol)

        return "\n".join(tokens)